---
search:
  tags:
    - database-services
    - POST
seo:
  description: >-
    Remove a database service from its servers. Reference for the POST
    /api/v1/database-services/{id}/remove endpoint in the TimescaleDB Enterprise
    API.
  noindex: true
sidebar:
  label: Remove a database service
  badge: POST
title: Remove a database service
type: openapi-operation
---
Remove a database service from its servers.

`POST /api/v1/database-services/{id}/remove`

**Responses**

- `202` — Accepted
- `default` — Error

Response example, 202:

```json
{
  "backupConfigOutOfSync": true,
  "backupNeedsAttention": true,
  "backupUnprotected": true,
  "created_at": "string",
  "data_dir": "string",
  "database_name": "string",
  "extension_versions": {
    "property1": "string",
    "property2": "string"
  },
  "extensions": [
    "string"
  ],
  "health": {
    "checked_at": "2019-08-24T14:15:22Z",
    "components": [
      {
        "key": "patroni",
        "message": "string",
        "name": "string",
        "status": "healthy"
      }
    ],
    "reason": "string",
    "since": "2019-08-24T14:15:22Z",
    "status": "healthy"
  },
  "id": "string",
  "license_enforced": true,
  "livesync_target": true,
  "name": "string",
  "pack_release": "string",
  "pg_version": "string",
  "pg_version_minor": "string",
  "postgresql_exists": true,
  "redeploy_recommended": true,
  "status": "string",
  "timescaledb_version": "string",
  "topology": "single_node",
  "updates_available": true
}
```
